Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Class AbstractStaticMethodInvocation

- org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation

- All Implemented Interfaces and Traits:
    StaticMethodInvocation

      public abstract class AbstractStaticMethodInvocation
      extends java.lang.Object

  Authors:
    Steven Devijver

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.util.regex.Pattern` | `getPattern()`
    `java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)`
    `boolean` | `isMethodMatch(java.lang.String methodName)`
    `void` | `setPattern(java.util.regex.Pattern pattern)`
    `void` | `setPattern(java.lang.String methodPattern)`
    `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected java.util.regex.Pattern getPattern()

    - #### @java.lang.SuppressWarnings("rawtypes") public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)

    - #### public boolean isMethodMatch(java.lang.String methodName)

    - #### public void setPattern(java.util.regex.Pattern pattern)

    - #### public void setPattern(java.lang.String methodPattern)

    - #### @java.lang.Override public java.lang.String toString()